Background Image

FORUM

조회 수 135 추천 수 0 댓글 4
?

단축키

Prev이전 문서

Next다음 문서

크게 작게 위로 아래로 댓글로 가기 인쇄

* 질문 등록 시 다음의 내용을 꼭 기입하여 주세요.
OS
MAC (big sur)
CUBRID Ver.
[cubrid_rel] 수행 결과
CUBRID TOOL Ver.
[도움말]-[버전정보] 확인
응용 환경(API)
java, php, odbc 등 입력

* CUBRID 응용 오류, SQL 오류 또는 SQL 튜닝 관련된 문의는 반드시 다음의 내용을 추가해 주세요. 비밀글이나 비밀 댓글도 가능합니다.
* 저희가 상황을 이해하고, 재현이 가능해야 알 수 있는 문제들이 많습니다. 가능한 정보/정황들을 부탁합니다.
에러 내용 및 재현 방법 재현 가능한 Source와 SQL
관련 테이블(인덱스, 키정보 포함) 정보 CUBRID 홈 디렉토리 아래 log 디렉토리 압축


-------------- 아래에 질문 사항을 기입해 주세요. ------------------------------------------------------------------------
안녕하세요.


mac os를 big sur로 업그레이드 후에 cubrid manager가 실행이 안되고 있습니다.

Q&A에서 이와 동일한 이슈가 있는것을 보고 그대로 적용했는데도 안되네요.




로그에서는 java13으로 해서 수행이 되는것 같아요.


--------------------------------------------------------------

!SESSION 2021-02-03 16:40:13.074 -----------------------------------------------

eclipse.buildId=unknown

java.version=13.0.2

java.vendor=Oracle Corporation

BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=ko_KR

Framework arguments:  -keyring /Users/user/.eclipse_keyring -showlocation

Command-line arguments:  -os macosx -ws cocoa -arch x86_64 -keyring /Users/user/.eclipse_keyring -showlocation


!ENTRY org.eclipse.equinox.simpleconfigurator 4 0 2021-02-03 16:40:13.482

!MESSAGE

!STACK 0

org.osgi.framework.BundleException: The bundle "org.eclipse.equinox.simpleconfigurator_1.0.200.v20100503 [1]" could not be resolved. Reason: Missing Constraint: Bundle-RequiredExecutionEnvironment: CDC-1.1/Foundation-1.1,J2SE-1.4

        at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1317)

        at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1301)

        at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:319)

        at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:374)

        at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1067)

        at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:561)

        at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:546)

        at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:459)

        at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)

        at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:440)

        at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:227)

        at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:337)


!ENTRY org.eclipse.equinox.common 4 0 2021-02-03 16:40:13.485

!MESSAGE

!STACK 0

org.osgi.framework.BundleException: The bundle "org.eclipse.equinox.common_3.6.0.v20100503 [53]" could not be resolved. Reason: Missing Constraint: Bundle-RequiredExecutionEnvironment: CDC-1.1/Foundation-1.1,J2SE-1.4

.

.

.

!SUBENTRY 2 slf4j.log4j12 2 0 2021-02-03 16:40:13.622

!MESSAGE Missing imported package org.slf4j.spi_1.6.6.

!SUBENTRY 2 slf4j.log4j12 2 0 2021-02-03 16:40:13.622

!MESSAGE Missing imported package org.slf4j.helpers_1.6.6.

!SUBENTRY 2 slf4j.log4j12 2 0 2021-02-03 16:40:13.622

!MESSAGE Missing imported package org.apache.log4j_0.0.0.


!ENTRY org.eclipse.osgi 4 0 2021-02-03 16:40:13.624

!MESSAGE Application error

!STACK 1

java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).

        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)

        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369)

        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

        at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

        at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.base/java.lang.reflect.Method.invoke(Method.java:567)

        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:636)

        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:591)

        at org.eclipse.equinox.launcher.Main.run(Main.java:1450)

  • ?
    오명환 2021.02.05 14:10
    https://www.cubrid.com/qna/3829721 에서 설명드린 것처럼 JDK8 환경으로 변경해서 사용하셔야 합니다.
    JDK8 이상에서는 오류가 발생합니다.
  • ?
    야비한맹꽁이 2021.02.19 09:26
    링크로 가이드한것처럼 했는데, cubrid manager가 실행될때는 java 13.0.2 를 갖고 올라가는것 같아요..;;
    로컬에서 java -version 으로 보면 openjdk version "1.8.0_282" 로 나오고는 있습니다.
    openjdk version "1.8.0_282"
    OpenJDK Runtime Environment (AdoptOpenJDK)(build 1.8.0_282-b08)
    OpenJDK 64-Bit Server VM (AdoptOpenJDK)(build 25.282-b08, mixed mode)

    혹시 jdk8 상위버전도 사용할 수 있도록 지원할 계획은 없을까요??
  • ?
    야비한맹꽁이 2021.02.19 09:33
    drwxr-xr-x 3 root wheel 96B 1 21 06:21 adoptopenjdk-8.jdk
    drwxr-xr-x 3 root wheel 96B 2 3 16:09 jdk1.8.0_281.jdk
    drwxr-xr-x@ 3 root wheel 96B 12 11 2019 openjdk-13.0.2.jdk

    /Library/Java/JavaVirtualMachines 디렉토리에 openjdk-13.0.2.jdk 이것을 삭제또는 다른곳으로 mv 한 후에야 잘 올라오네요..
  • ?
    win777 2021.02.19 18:28
    안녕하세요. 큐브리드를 이용해 주셔서 감사합니다.

    댓글에 쓰신 것처럼 여러 개의 JDK를 사용하시는 경우, 환경 변수 JAVA_HOME에 JDK path 설정하시면 JDK를 다른 곳으로 이동하거나 삭제하지 않고 CM을 실행하실 수 있습니다.

    아래는 예제입니다.
    ex) export JAVA_HOME=/Library/Java/JavaVirtualMachines/adoptopenjdk-8.jdk/Contents/Home

    감사합니다.

List of Articles
번호 제목 글쓴이 날짜 조회 수
공지 SQLGate for CUBRID 영구 무료 라이선스 제공 file admin 2020.04.09 1264
3367 python cubrid 연동 관련 4 오션나인 2021.02.20 122
3366 Python 3.9 버전 사용시 Cubrid 접속 불가에 대한 개선 요청 1 오션나인 2021.02.19 82
3365 CUBRID Max client 설정 관련 문의 1 nagh 2021.02.18 87
3364 cubrid 중지 현상 문의 5 file passik89 2021.02.18 109
3363 postgresql에서 CUBRID로 전환이 가능한가요? 1 하인츠링게 2021.02.16 92
3362 CONNECT BY 특정 root 레코드 제외 관련 문의 4 file 종이 2021.02.16 104
3361 cub_admin process 역할 확인 요청 1 nagh 2021.02.15 83
3360 LIKE 조건 시 무한 조회 중.... 락이 걸리는거 같습니다... 1 처키친구 2021.02.10 82
3359 큐브리드 11에서 Optane dc persistent memory app direct mode로 지원되나요? 1 몰라알수가없어 2021.02.08 70
3358 10.2 :: jdbc 버그? :: decimal 컬럼에 무조건 정수로 저장되는 상황 발생 1 rednuts 2021.02.06 103
3357 CUBRIDXADataSource 사용시 롤백이 되지 않습니다 2 잠깐하는 2021.02.05 116
3356 큐브리드 실행시 다중검색어 like 처리를 하고싶습니다 1 개발자1111 2021.02.05 70
3355 큐브리드 재설치시 80%에서 멈춰있음 2 파란나라를봐 2021.02.04 89
3354 10.2 :: round 함수에 버그가 있는 것으로 보입니다. 1 rednuts 2021.02.04 82
» 맥 빅서 업데이트 이후 문제 4 야비한맹꽁이 2021.02.03 135
3352 CentOs php 연동 문의 2 spjoshuakim 2021.01.28 82
3351 myBatis와 큐브리드 9.3.6을 연계하여 사용중인데 대량의 셀렉트시 fetchSize지원여부 1 karoscha 2021.01.26 73
3350 cub_server cpu 사용률 1 bchlim 2021.01.22 81
3349 문법오류라는데 해결이 불가능합니다 1 하루살이 2021.01.21 122
3348 내보내기 1 이성진 2021.01.20 55
Board Pagination Prev 1 2 3 4 5 6 7 8 9 10 ... 173 Next
/ 173

Contact Cubrid

대표전화 070-4077-2110 / 기술문의 070-4077-2147 / 영업문의 070-4077-2112 / Email. contact_at_cubrid.com
Contact Sales